97 lines
2.4 KiB
Diff
97 lines
2.4 KiB
Diff
From c4bc472abe9f92ca2fcb9696e8e84083dcc29269 Mon Sep 17 00:00:00 2001
|
|
From: Harsha Sharma <harshasharmaiitr@gmail.com>
|
|
Date: Tue, 10 Jul 2018 22:00:21 +0200
|
|
Subject: [PATCH] tests: shell: add tests for listing objects
|
|
|
|
Add tests for listing specific object for a given table name and all
|
|
objects of a table.
|
|
|
|
Signed-off-by: Harsha Sharma <harshasharmaiitr@gmail.com>
|
|
Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
|
|
(cherry picked from commit bf91cfd9a619484fa3fde325ac092d69738ecf47)
|
|
|
|
Conflicts:
|
|
-> adjust expected output in 0013objects_0 to old code base.
|
|
|
|
Signed-off-by: Phil Sutter <psutter@redhat.com>
|
|
---
|
|
tests/shell/testcases/listing/0013objects_0 | 34 +++++++++++++++++++++
|
|
tests/shell/testcases/listing/0014objects_0 | 24 +++++++++++++++
|
|
2 files changed, 58 insertions(+)
|
|
create mode 100755 tests/shell/testcases/listing/0013objects_0
|
|
create mode 100755 tests/shell/testcases/listing/0014objects_0
|
|
|
|
diff --git a/tests/shell/testcases/listing/0013objects_0 b/tests/shell/testcases/listing/0013objects_0
|
|
new file mode 100755
|
|
index 0000000000000..c237e932a4483
|
|
--- /dev/null
|
|
+++ b/tests/shell/testcases/listing/0013objects_0
|
|
@@ -0,0 +1,34 @@
|
|
+#!/bin/bash
|
|
+
|
|
+# list table with all objects and chains
|
|
+
|
|
+EXPECTED="table ip test {
|
|
+ quota https-quota {
|
|
+ 25 mbytes
|
|
+ }
|
|
+
|
|
+ ct helper cthelp {
|
|
+ type \"sip\" protocol tcp
|
|
+
|
|
+ l3proto ip
|
|
+ }
|
|
+
|
|
+ chain input {
|
|
+ }
|
|
+}"
|
|
+
|
|
+set -e
|
|
+
|
|
+$NFT add table test
|
|
+$NFT add chain test input
|
|
+$NFT add quota test https-quota 25 mbytes
|
|
+$NFT add ct helper test cthelp { type \"sip\" protocol tcp \; }
|
|
+$NFT add table test-ip
|
|
+
|
|
+GET="$($NFT list table test)"
|
|
+if [ "$EXPECTED" != "$GET" ] ; then
|
|
+ DIFF="$(which diff)"
|
|
+ [ -x $DIFF ] && $DIFF -u <(echo "$EXPECTED") <(echo "$GET")
|
|
+ exit 1
|
|
+fi
|
|
+
|
|
diff --git a/tests/shell/testcases/listing/0014objects_0 b/tests/shell/testcases/listing/0014objects_0
|
|
new file mode 100755
|
|
index 0000000000000..dcfe2e6f80947
|
|
--- /dev/null
|
|
+++ b/tests/shell/testcases/listing/0014objects_0
|
|
@@ -0,0 +1,24 @@
|
|
+#!/bin/bash
|
|
+
|
|
+# list only the object asked for with table
|
|
+
|
|
+EXPECTED="table ip test {
|
|
+ quota https-quota {
|
|
+ 25 mbytes
|
|
+ }
|
|
+}"
|
|
+
|
|
+set -e
|
|
+
|
|
+$NFT add table test
|
|
+$NFT add quota test https-quota 25 mbytes
|
|
+$NFT add ct helper test cthelp { type \"sip\" protocol tcp \; }
|
|
+$NFT add table test-ip
|
|
+
|
|
+GET="$($NFT list quota test https-quota)"
|
|
+if [ "$EXPECTED" != "$GET" ] ; then
|
|
+ DIFF="$(which diff)"
|
|
+ [ -x $DIFF ] && $DIFF -u <(echo "$EXPECTED") <(echo "$GET")
|
|
+ exit 1
|
|
+fi
|
|
+
|
|
--
|
|
2.21.0
|
|
|